## openstack-trove 2014.1

=== requirements.txt ===
pbr>=0.6,<1.0
SQLAlchemy>=0.7.8,<=0.9.99
eventlet>=0.13.0
extras
kombu>=2.4.8
Routes>=1.12.3
WebOb>=1.2.3
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.8.2,!=0.8.4
netaddr>=0.7.6
httplib2>=0.7.5
lxml>=2.3
passlib
python-heatclient>=0.2.3
python-novaclient>=2.17.0
python-cinderclient>=1.0.6
python-keystoneclient>=0.7.0
python-swiftclient>=1.6
python-designateclient>=1.0.0
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
Jinja2
pexpect>=3.1 # ISC License
oslo.config>=1.2.0
MySQL-python
Babel>=1.3

=== debian/control ===
Source: openstack-trove
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 12~),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-babel (>= 1.3),
                     python-cinderclient (>= 1:1.0.6),
                     python-coverage (>= 3.6),
                     python-designateclient,
                     python-eventlet (>= 0.13.0),
                     python-extras,
                     python-hacking (>= 0.8.0),
                     python-heatclient (>= 0.2.3),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2,
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.5),
                     python-lxml,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-mysqldb,
                     python-netaddr (>= 0.7.6),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:2.17.0),
                     python-openstack.nose-plugin,
                     python-oslo.config (>= 1:1.2.1),
                     python-passlib,
                     python-paste,
                     python-pastedeploy,
                     python-pexpect (>= 3.1),
                     python-proboscis,
                     python-routes,
                     python-sqlalchemy,
                     python-swiftclient (>= 1:2.0.2),
                     python-testtools (>= 0.9.34),
                     python-troveclient,
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     python-wsgi-intercept,
                     subunit (>= 0.0.18),
                     testrepository (>=0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/openstack-trove.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/openstack-trove.git
Homepage: http://github.com/openstack/trove

Package: python-trove
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-cinderclient (>= 1:1.0.6),
         python-designateclient,
         python-eventlet (>= 0.13.0),
         python-extras,
         python-heatclient (>= 0.2.3),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-jinja2,
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.5),
         python-lxml,
         python-migrate (>= 0.8.2),
         python-mysqldb,
         python-netaddr (>= 0.7.6),
         python-novaclient (>= 2:2.17.0),
         python-oslo.config (>= 1:1.2.1),
         python-passlib,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.6),
         python-pexpect (>= 3.1),
         python-routes,
         python-sqlalchemy,
         python-swiftclient (>= 1:2.0.2),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: Database as a Service for OpenStack - Python lib
 Trove is "Database as a Service" for Openstack. It's designed to allow users
 to quickly and easily utilize the features of a relational database without
 the burden of handling complex administrative tasks.
 .
 Cloud users and database administrators can provision and manage multiple
 database instances as needed. The service focus on providing resource
 isolation at high performance while automating deployment, configuration,
 patching, backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove Python library.

Package: trove-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         python-trove (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Description: Database as a Service for OpenStack - common files
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove common files.

Package: trove-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - API server
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove API server. The trove-api service provides a
 RESTful API that supports JSON and XML to provision and manage Trove
 instances.

Package: trove-guestagent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - guest agent
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove guest agent. The guestagent is a service that
 runs within the guest instance, responsible for managing and performing
 operations on the Database itself. The Guest Agent listens for RPC messages
 through the message bus and performs the requested operation.

Package: trove-taskmanager
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - taskmanager
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove taskmanager. The trove-taskmanager service
 does the heavy lifting as far as provisioning instances, managing the
 lifecycle of instances, and performing operations on the Database instance.

Package: trove-conductor
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: trove-common, ${misc:Depends}, ${python:Depends}
Description: Database as a Service for OpenStack - conductor
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove conductor.

Package: trove-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Database as a Service for OpenStack - doc
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove documentations.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/trove.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/trove-common.postinst
	rm -f debian/trove-common.config
	rm -f debian/trove-taskmanager.postinst
	rm -f debian/trove-guestagent.postinst
	rm -f debian/trove-api.postinst
	rm -f debian/trove-api.config

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-taskmanager.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-guestagent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/trove-doc/usr/share/doc/trove-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_install:
	dh_install
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-trove; \
	done
	# Install the config files in the different binary packages
	# -guestagent
	install -D -m 0664 $(CURDIR)/etc/trove/trove-guestagent.conf.sample $(CURDIR)/debian/trove-guestagent/usr/share/trove-guestagent/trove-guestagent.conf
	# -taskmanager
	install -D -m 0664 $(CURDIR)/etc/trove/trove-taskmanager.conf.sample $(CURDIR)/debian/trove-taskmanager/usr/share/trove-taskmanager/trove-taskmanager.conf
	# -conductor
	install -D -m 0664 $(CURDIR)/etc/trove/trove-conductor.conf.sample $(CURDIR)/debian/trove-conductor/usr/share/trove-conductor/trove-conductor.conf
	# -common
	install -D -m 0664 $(CURDIR)/etc/trove/trove.conf.sample $(CURDIR)/debian/trove-common/usr/share/trove-common/trove.conf
	install -D -m 0664 $(CURDIR)/etc/trove/api-paste.ini $(CURDIR)/debian/trove-common/usr/share/trove-common/api-paste.ini


override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	#run_tests.py --test-config=etc/tests/xml.localhost.test.conf
	#python setup.py testr --slowest --testr-args='--subunit  '
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ || true
endif

=== debian/watch ===
version=3
https://github.com/openstack/trove/tags .*/(\d[\d\.]+)\.tar\.gz

## openstack-trove 2014.1.3

=== requirements.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 pbr>=0.6,<1.0
-SQLAlchemy>=0.7.8,<=0.9.99
+SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
 eventlet>=0.13.0
 extras
 kombu>=2.4.8
-Routes>=1.12.3
+Routes>=1.12.3,!=2.0
 WebOb>=1.2.3
 PasteDeploy>=1.5.0
 Paste

=== debian/changelog ===
openstack-trove (2014.1.3-8) unstable; urgency=medium

  * Using openstack-pkg-tools to handle daemons.
  * Fixed not activated trove-conductor.postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Jan 2015 16:35:56 +0100

openstack-trove (2014.1.3-7) unstable; urgency=medium

  * Fixes nova/configure_db -> trove/configure_db.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 16:54:10 +0000

openstack-trove (2014.1.3-6) unstable; urgency=medium

  * trove/configure_db is now false by default.
  * Only runs pkgos_dbc_postinst and trove-manage db_sync if trove/configure_db
    is true.
  * Build-depends on openstack-pkg-tools (>= 22~) to ensure correct init.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 16:48:04 +0000

openstack-trove (2014.1.3-5) unstable; urgency=medium

  * Also purges /var/lib/trove when package is purged (Closes: #769771).
  * Rebuilt using openstack-pkg-tools (>= 21~) to ensure init scripts fixes.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Jan 2015 00:02:07 +0000

openstack-trove (2014.1.3-4) unstable; urgency=medium

  * Fixed ucfr call to use trove-common and not nova-common (Closes: #771873).
  * Removed PROTOCOL_SSLv3 which was removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Dec 2014 19:04:32 +0800

openstack-trove (2014.1.3-3) unstable; urgency=medium

  * Added nl.po debconf translation (Closes: #767422).

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 18:24:01 +0800

openstack-trove (2014.1.3-2) unstable; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Silence some lintian warnings by adding adduser as depends.
  * Added a doc-base registration file.
  * Standards-Version is now 3.9.6 (no change).
  * Added python-keystonemiddleware as depends: for python-trove, as per
    upstream recommendation on IRC.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 07:14:38 +0000

openstack-trove (2014.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Added Isolate_unit_tests_from_integration_tests_data.patch which fixes all
    unit tests.
  * Fail build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 23:15:52 +0800

openstack-trove (2014.1.2-1) unstable; urgency=medium

  * New upstream point release.
  * Refreshed patches.
  * Added python-openstack-doc-tools as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 10:29:41 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools (>= 12~),
+               dh-systemd,
+               openstack-pkg-tools (>= 22~),
                po-debconf,
                python-all (>= 2.6.6-3~),
                python-pbr (>= 0.6),
@@ -52,7 +53,7 @@
                      python-wsgi-intercept,
                      subunit (>= 0.0.18),
                      testrepository (>=0.0.18)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/openstack-trove.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/openstack-trove.git
 Homepage: http://github.com/openstack/trove
@@ -71,6 +72,7 @@
          python-iso8601 (>= 0.1.9),
          python-jinja2,
          python-jsonschema (>= 2.0.0),
+         python-keystonemiddleware,
          python-keystoneclient (>= 1:0.7.0),
          python-kombu (>= 2.5),
          python-lxml,
@@ -78,6 +80,7 @@
          python-mysqldb,
          python-netaddr (>= 0.7.6),
          python-novaclient (>= 2:2.17.0),
+         python-openstack-doc-tools,
          python-oslo.config (>= 1:1.2.1),
          python-passlib,
          python-paste,
@@ -134,7 +137,7 @@
 Package: trove-api
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: trove-common, ${misc:Depends}, ${python:Depends}
+Depends: adduser, trove-common, ${misc:Depends}, ${python:Depends}
 Description: Database as a Service for OpenStack - API server
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -155,7 +158,7 @@
 Package: trove-guestagent
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: trove-common, ${misc:Depends}, ${python:Depends}
+Depends: adduser, trove-common, ${misc:Depends}, ${python:Depends}
 Description: Database as a Service for OpenStack - guest agent
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -177,7 +180,7 @@
 Package: trove-taskmanager
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: trove-common, ${misc:Depends}, ${python:Depends}
+Depends: adduser, trove-common, ${misc:Depends}, ${python:Depends}
 Description: Database as a Service for OpenStack - taskmanager
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -18,6 +18,8 @@
 	rm -f debian/trove-guestagent.postinst
 	rm -f debian/trove-api.postinst
 	rm -f debian/trove-api.config
+	rm -f debian/trove-conductor.postinst
+	rm -f debian/*.init debian/*.upstart debian/*.service
 
 override_dh_auto_build:
 	dh_auto_build
@@ -27,6 +29,7 @@
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-guestagent.postinst
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.postinst
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-api.config
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func trove-conductor.postinst
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
@@ -56,9 +59,9 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	#run_tests.py --test-config=etc/tests/xml.localhost.test.conf
 	#python setup.py testr --slowest --testr-args='--subunit  '
-	set -e && \
+	set -e ; \
 		TEMP_REZ=`mktemp -t` && \
-		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit || true ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
-		rm -f $$TEMP_REZ || true
+		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ
 endif

## openstack-trove 2014.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
eventlet>=0.15.1
keystonemiddleware>=1.0.0
kombu>=2.5.0
Routes>=1.12.3,!=2.0
WebOb>=1.2.3
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.9.1,!=0.9.2
netaddr>=0.7.12
netifaces>=0.10.4
httplib2>=0.7.5
lxml>=2.3
passlib
python-heatclient>=0.2.9
python-novaclient>=2.18.0
python-cinderclient>=1.1.0
python-keystoneclient>=0.10.0
python-swiftclient>=2.2.0
python-designateclient>=1.0.0
python-neutronclient>=2.3.6,<3
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
Jinja2
pexpect>=3.1 # ISC License
oslo.config>=1.4.0  # Apache-2.0
MySQL-python
Babel>=1.3
six>=1.7.0
stevedore>=1.0.0  # Apache-2.0

=== debian/control ===
--- 
+++ 
@@ -1,96 +1,87 @@
 Source: openstack-trove
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
-Build-Depends: debhelper (>= 9),
-               dh-systemd,
-               openstack-pkg-tools (>= 22~),
-               po-debconf,
+Build-Depends: debhelper (>= 9~),
+               dh-exec,
                python-all (>= 2.6.6-3~),
-               python-pbr (>= 0.6),
-               python-setuptools,
-               python-sphinx
-Build-Depends-Indep: python-babel (>= 1.3),
-                     python-cinderclient (>= 1:1.0.6),
-                     python-coverage (>= 3.6),
+               python-pbr (>= 0.5.21),
+               python-setuptools
+Build-Depends-Indep: python-cinderclient (>= 1:1.0.6),
                      python-designateclient,
-                     python-eventlet (>= 0.13.0),
+                     python-eventlet,
                      python-extras,
-                     python-hacking (>= 0.8.0),
                      python-heatclient (>= 0.2.3),
-                     python-httplib2 (>= 0.7.5),
-                     python-iso8601 (>= 0.1.9),
+                     python-httplib2,
+                     python-iso8601,
                      python-jinja2,
-                     python-jsonschema (>= 2.0.0),
-                     python-keystoneclient (>= 1:0.7.0),
+                     python-jsonschema,
+                     python-keystoneclient,
                      python-kombu (>= 2.5),
                      python-lxml,
-                     python-migrate (>= 0.8.2),
-                     python-mock (>= 1.0),
+                     python-migrate,
+                     python-mock,
+                     python-mockito,
                      python-mox,
                      python-mysqldb,
-                     python-netaddr (>= 0.7.6),
-                     python-nose,
-                     python-nosexcover,
-                     python-novaclient (>= 2:2.17.0),
-                     python-openstack.nose-plugin,
-                     python-oslo.config (>= 1:1.2.1),
+                     python-netaddr,
+                     python-netifaces,
+                     python-neutronclient (>= 1:2.3.5),
+                     python-novaclient,
+                     python-oslo.config (>= 1.2.0),
                      python-passlib,
                      python-paste,
                      python-pastedeploy,
-                     python-pexpect (>= 3.1),
+                     python-pexpect,
                      python-proboscis,
                      python-routes,
+                     python-sphinx,
                      python-sqlalchemy,
-                     python-swiftclient (>= 1:2.0.2),
-                     python-testtools (>= 0.9.34),
+                     python-swiftclient,
+                     python-testtools (>= 0.9.22),
                      python-troveclient,
-                     python-webob (>= 1.2.3),
-                     python-webtest (>= 2.0),
+                     python-webob,
+                     python-webtest,
                      python-wsgi-intercept,
-                     subunit (>= 0.0.18),
-                     testrepository (>=0.0.18)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/openstack-trove.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/openstack-trove.git
+                     testrepository (>=0.0.17)
+Standards-Version: 3.9.5
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/trove/juno/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/trove/juno
 Homepage: http://github.com/openstack/trove
 
 Package: python-trove
 Architecture: all
 Section: python
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-babel (>= 1.3),
-         python-cinderclient (>= 1:1.0.6),
+Depends: python-cinderclient (>= 1:1.0.5),
          python-designateclient,
-         python-eventlet (>= 0.13.0),
+         python-eventlet,
          python-extras,
          python-heatclient (>= 0.2.3),
-         python-httplib2 (>= 0.7.5),
-         python-iso8601 (>= 0.1.9),
+         python-httplib2,
+         python-iso8601,
          python-jinja2,
-         python-jsonschema (>= 2.0.0),
-         python-keystonemiddleware,
-         python-keystoneclient (>= 1:0.7.0),
+         python-jsonschema,
+         python-keystoneclient,
          python-kombu (>= 2.5),
          python-lxml,
-         python-migrate (>= 0.8.2),
+         python-migrate,
          python-mysqldb,
-         python-netaddr (>= 0.7.6),
-         python-novaclient (>= 2:2.17.0),
-         python-openstack-doc-tools,
-         python-oslo.config (>= 1:1.2.1),
-         python-passlib,
+         python-netaddr,
+         python-netifaces,
+         python-neutronclient (>= 1:2.3.5),
+         python-novaclient,
+         python-oslo.config (>= 1.2.0a3),
          python-paste,
          python-pastedeploy,
-         python-pbr (>= 0.6),
-         python-pexpect (>= 3.1),
+         python-pexpect,
          python-routes,
          python-sqlalchemy,
-         python-swiftclient (>= 1:2.0.2),
-         python-webob (>= 1.2.3),
+         python-swiftclient,
+         python-webob,
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-suds (>= 0.4.0)
@@ -112,9 +103,7 @@
 
 Package: trove-common
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: adduser,
-         dbconfig-common,
          python-trove (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
@@ -136,8 +125,7 @@
 
 Package: trove-api
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: adduser, trove-common, ${misc:Depends}, ${python:Depends}
+Depends: trove-common, ${misc:Depends}, ${python:Depends}
 Description: Database as a Service for OpenStack - API server
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -157,8 +145,7 @@
 
 Package: trove-guestagent
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: adduser, trove-common, ${misc:Depends}, ${python:Depends}
+Depends: trove-common, ${misc:Depends}, ${python:Depends}
 Description: Database as a Service for OpenStack - guest agent
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -179,8 +166,7 @@
 
 Package: trove-taskmanager
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: adduser, trove-common, ${misc:Depends}, ${python:Depends}
+Depends: trove-common, ${misc:Depends}, ${python:Depends}
 Description: Database as a Service for OpenStack - taskmanager
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the
@@ -200,7 +186,6 @@
 
 Package: trove-conductor
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: trove-common, ${misc:Depends}, ${python:Depends}
 Description: Database as a Service for OpenStack - conductor
  Trove is Database as a Service for Openstack. It's designed to run entirely on
@@ -216,23 +201,3 @@
  purely through the API.
  .
  This package provides the Trove conductor.
-
-Package: trove-doc
-Section: doc
-Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: Database as a Service for OpenStack - doc
- Trove is Database as a Service for Openstack. It's designed to run entirely on
- OpenStack, with the goal of allowing users to quickly and easily utilize the
- features of a relational database without the burden of handling complex
- administrative tasks. Cloud users and database administrators can provision
- and manage multiple database instances as needed. Initially, the service will
- focus on providing resource isolation at high performance while automating
- complex administrative tasks including deployment, configuration, patching,
- backups, restores, and monitoring. Trove is designed to support a
- single-tenant database within a Nova instance. There is no restrictions on how
- Nova is configured, since Trove interacts with other OpenStack components
- purely through the API.
- .
- This package provides the Trove documentations.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]:)*([^-]+).*,\2,p')
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	testr init && testr run
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 http://tarballs.openstack.org/trove trove-(\d.*)\.tar\.gz

## openstack-trove 2015.1%7erc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
SQLAlchemy>=0.9.7,<=0.9.99
eventlet>=0.16.1,!=0.17.0
keystonemiddleware>=1.5.0
kombu>=2.5.0
Routes>=1.12.3,!=2.0
WebOb>=1.2.3
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.9.5
netaddr>=0.7.12
netifaces>=0.10.4
httplib2>=0.7.5
lxml>=2.3
passlib
python-heatclient>=0.3.0
python-novaclient>=2.22.0
python-cinderclient>=1.1.0
python-keystoneclient>=1.1.0
python-swiftclient>=2.2.0
python-designateclient>=1.0.0
python-neutronclient>=2.3.11,<3
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
Jinja2>=2.6  # BSD License (3 clause)
pexpect>=3.1,!=3.3 # ISC License
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
MySQL-python
Babel>=1.3
six>=1.9.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
osprofiler>=0.3.0                       # Apache-2.0

## openstack-trove 2015.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr>=0.6,!=0.7,<1.0
 SQLAlchemy>=0.9.7,<=0.9.99
 eventlet>=0.16.1,!=0.17.0
-keystonemiddleware>=1.5.0
+keystonemiddleware>=1.5.0,<1.6.0
 kombu>=2.5.0
 Routes>=1.12.3,!=2.0
 WebOb>=1.2.3
@@ -16,13 +16,13 @@
 httplib2>=0.7.5
 lxml>=2.3
 passlib
-python-heatclient>=0.3.0
-python-novaclient>=2.22.0
-python-cinderclient>=1.1.0
-python-keystoneclient>=1.1.0
-python-swiftclient>=2.2.0
-python-designateclient>=1.0.0
-python-neutronclient>=2.3.11,<3
+python-heatclient>=0.3.0,<0.5.0
+python-novaclient>=2.22.0,<2.24.0
+python-cinderclient>=1.1.0,<1.2.0
+python-keystoneclient>=1.1.0,<1.4.0
+python-swiftclient>=2.2.0,<2.5.0
+python-designateclient>=1.0.0,<1.2.0
+python-neutronclient>=2.3.11,<2.5.0
 iso8601>=0.1.9
 jsonschema>=2.0.0,<3.0.0
 Jinja2>=2.6  # BSD License (3 clause)

=== debian/changelog ===
openstack-trove (2015.1.0-0ubuntu1.2~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 13 May 2015 19:45:52 +0000

=== debian/control ===
--- 
+++ 
@@ -8,80 +8,111 @@
            Mehdi Abaakouk <sileht@sileht.net>
 Build-Depends: debhelper (>= 9~),
                dh-exec,
+               dh-python,
+               dh-systemd,
+               openstack-pkg-tools (>= 21ubuntu5~),
                python-all (>= 2.6.6-3~),
-               python-pbr (>= 0.5.21),
+               python-pbr (>= 0.6),
                python-setuptools
-Build-Depends-Indep: python-cinderclient (>= 1:1.0.6),
-                     python-designateclient,
-                     python-eventlet,
+Build-Depends-Indep: python-babel (>= 1.3),
+                     python-cinderclient (>= 1:1.1.0),
+                     python-coverage (>= 3.6),
+                     python-designateclient (>= 1.0.0),
+                     python-eventlet (>= 0.16.1),
                      python-extras,
-                     python-heatclient (>= 0.2.3),
-                     python-httplib2,
-                     python-iso8601,
-                     python-jinja2,
-                     python-jsonschema,
-                     python-keystoneclient,
-                     python-kombu (>= 2.5),
-                     python-lxml,
-                     python-migrate,
-                     python-mock,
-                     python-mockito,
-                     python-mox,
+                     python-hacking (>= 0.8.0),
+                     python-heatclient (>= 0.3.0),
+                     python-httplib2 (>= 0.7.5),
+                     python-iso8601 (>= 0.1.9),
+                     python-jinja2 (>= 2.6),
+                     python-jsonschema (>= 2.0.0),
+                     python-keystoneclient (>= 1:1.1.0),
+                     python-keystonemiddleware (>= 1.5.0),
+                     python-kombu (>= 2.5.0),
+                     python-lxml (>= 2.3),
+                     python-migrate (>= 0.9.5),
+                     python-mock (>= 1.0),
+                     python-mox3 (>= 0.7.0),
                      python-mysqldb,
-                     python-netaddr,
-                     python-netifaces,
-                     python-neutronclient (>= 1:2.3.5),
-                     python-novaclient,
-                     python-oslo.config (>= 1.2.0),
+                     python-netaddr (>= 0.7.12),
+                     python-netifaces (>= 0.10.4),
+                     python-neutronclient (>= 1:2.3.11),
+                     python-nose,
+                     python-nosexcover,
+                     python-novaclient (>= 1:2.22.0),
+                     python-openstack-doc-tools,
+                     python-oslo-concurrency (>= 1.8.0),
+                     python-oslo-config (>= 1:1.9.3),
+                     python-oslo-i18n (>= 1.5.0),
+                     python-oslo-messaging (>= 1.8.0),
+                     python-oslo-serialization (>= 1.4.0),
+                     python-oslo-utils (>= 1.4.0),
+                     python-oslosphinx (>= 2.2.0),
+                     python-osprofiler (>= 0.3.0),
                      python-passlib,
                      python-paste,
-                     python-pastedeploy,
-                     python-pexpect,
+                     python-pastedeploy (>= 1.5.0),
+                     python-pexpect (>= 3.1),
                      python-proboscis,
-                     python-routes,
-                     python-sphinx,
-                     python-sqlalchemy,
-                     python-swiftclient,
-                     python-testtools (>= 0.9.22),
+                     python-routes (>= 1.12.3),
+                     python-six (>= 1.9.0),
+                     python-sphinx (>= 1.1.2),
+                     python-sqlalchemy (>= 0.9.7),
+                     python-stevedore (>= 1.3.0),
+                     python-swiftclient (>= 1:2.2.0),
+                     python-testtools (>= 0.9.36),
                      python-troveclient,
-                     python-webob,
-                     python-webtest,
+                     python-webob (>= 1.2.3),
+                     python-webtest (>= 2.0),
                      python-wsgi-intercept,
-                     testrepository (>=0.0.17)
-Standards-Version: 3.9.5
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/trove/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/trove/juno
+                     subunit (>= 0.0.18),
+                     testrepository (>= 0.0.18)
+Standards-Version: 3.9.6
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/trove/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/trove/kilo
 Homepage: http://github.com/openstack/trove
 
 Package: python-trove
 Architecture: all
 Section: python
-Depends: python-cinderclient (>= 1:1.0.5),
-         python-designateclient,
-         python-eventlet,
+Depends: python-babel (>= 1.3),
+         python-cinderclient (>= 1:1.1.0),
+         python-designateclient (>= 1.0.0),
+         python-eventlet (>= 0.16.1),
          python-extras,
-         python-heatclient (>= 0.2.3),
-         python-httplib2,
-         python-iso8601,
-         python-jinja2,
-         python-jsonschema,
-         python-keystoneclient,
-         python-kombu (>= 2.5),
-         python-lxml,
-         python-migrate,
+         python-heatclient (>= 0.3.0),
+         python-httplib2 (>= 0.7.5),
+         python-iso8601 (>= 0.1.9),
+         python-jinja2 (>= 2.6),
+         python-jsonschema (>= 2.0.0),
+         python-keystoneclient (>= 1:1.1.0),
+         python-keystonemiddleware (>= 1.5.0),
+         python-kombu (>= 2.5.0),
+         python-lxml (>= 2.3),
+         python-migrate (>= 0.9.5),
          python-mysqldb,
-         python-netaddr,
-         python-netifaces,
-         python-neutronclient (>= 1:2.3.5),
-         python-novaclient,
-         python-oslo.config (>= 1.2.0a3),
+         python-netaddr (>= 0.7.12),
+         python-netifaces (>= 0.10.4),
+         python-neutronclient (>= 1:2.3.6),
+         python-novaclient (>= 1:2.22.0),
+         python-oslo-concurrency (>= 1.8.0),
+         python-oslo-config (>= 1:1.9.3),
+         python-oslo-i18n (>= 1.5.0),
+         python-oslo-messaging (>= 1.8.0),
+         python-oslo-serialization (>= 1.4.0),
+         python-oslo-utils (>= 1.4.0),
+         python-osprofiler (>= 0.3.0),
+         python-passlib,
          python-paste,
-         python-pastedeploy,
-         python-pexpect,
-         python-routes,
-         python-sqlalchemy,
-         python-swiftclient,
-         python-webob,
+         python-pastedeploy (>= 1.5.0),
+         python-pbr (>= 0.6),
+         python-pexpect (>= 3.1),
+         python-routes (>= 1.12.3),
+         python-six (>= 1.9.0),
+         python-sqlalchemy (>= 0.9.7),
+         python-stevedore (>= 1.3.0),
+         python-swiftclient (>= 1:2.2.0),
+         python-webob (>= 1.2.3),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-suds (>= 0.4.0)

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]:)*([^-]+).*,\2,p')
export OSLO_PACKAGE_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

override_dh_install:
	dh_install --fail-missing

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	python run_tests.py
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		python setup.py testr --slowest --testr-args='--subunit'| tee $$TEMP_REZ | subunit2pyunit; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true; \
		rm -f $$TEMP_REZ
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/trove trove-(\d.*)\.tar\.gz
